package com.smppw.modaq.application.components.report.parser.pdf;

import com.smppw.modaq.application.components.report.parser.ReportParserConstant;
import com.smppw.modaq.domain.dto.report.ReportBaseInfoDTO;
import com.smppw.modaq.domain.dto.report.ReportFundInfoDTO;
import com.smppw.modaq.domain.dto.report.ReportParserParams;
import com.smppw.modaq.domain.dto.report.WeeklyReportData;
import com.smppw.modaq.domain.mapper.EmailFieldMappingMapper;
import org.springframework.stereotype.Component;
import technology.tabula.Table;

import java.util.List;

@Component(ReportParserConstant.PARSER_PDF_WEEKLY)
public class PDWeeklyReportParser extends AbstractPDReportParser<WeeklyReportData>{
    public PDWeeklyReportParser(EmailFieldMappingMapper fieldMappingMapper) {
        super(fieldMappingMapper);
    }

    @Override
    public String getParser() {
        return ReportParserConstant.PARSER_PDF_WEEKLY;
    }

    @Override
    protected void initTableInfo(List<Table> tables) {

    }

    @Override
    protected ReportFundInfoDTO buildFundInfo(ReportParserParams params) {
        return null;
    }

    @Override
    protected WeeklyReportData parseExtInfoAndSetData(ReportBaseInfoDTO reportInfo, ReportFundInfoDTO fundInfo) {
        return null;
    }
}
